package net.northking.cctp.device.dto.pcDevice;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;

public class ScriptPcResultDto {

    @ApiModelProperty("主键id")
    private String id;

    @ApiModelProperty("设备名称")
    @Size(max = 100, message="设备名称-deviceName: 数据长度不能 > 100" )
    private String productName;

    @ApiModelProperty("ip地址")
    private String ipAddr;

    @ApiModelProperty("mac地址")
    private String macAddr;

    @ApiModelProperty("操作系统架构")
    private String osArch;

    @ApiModelProperty("操作系统")
    private String platform;

    @ApiModelProperty("内存大小")
    private String ramSize;

    @ApiModelProperty("使用状态(1-空闲 2-使用中)")
    private String usageStatus;

    @ApiModelProperty("系统id")
    private String projectId;

    @ApiModelProperty("租户id")
    private String tenantId;

    @ApiModelProperty("系统名称")
    private String projectName;

    @ApiModelProperty("租户名称")
    private String tenantName;

    @ApiModelProperty("设备归属(0-所有 1-公有 2-私有)")
    private String tenantCheck;

    @ApiModelProperty("使用人类型(0、用户 1、引擎)")
    private String userBy;

    @ApiModelProperty("使用人id")
    private String userId;

    public String getUserBy() {
        return userBy;
    }

    public void setUserBy(String userBy) {
        this.userBy = userBy;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getIpAddr() {
        return ipAddr;
    }

    public void setIpAddr(String ipAddr) {
        this.ipAddr = ipAddr;
    }

    public String getMacAddr() {
        return macAddr;
    }

    public void setMacAddr(String macAddr) {
        this.macAddr = macAddr;
    }

    public String getOsArch() {
        return osArch;
    }

    public void setOsArch(String osArch) {
        this.osArch = osArch;
    }

    public String getRamSize() {
        return ramSize;
    }

    public void setRamSize(String ramSize) {
        this.ramSize = ramSize;
    }

    public String getUsageStatus() {
        return usageStatus;
    }

    public void setUsageStatus(String usageStatus) {
        this.usageStatus = usageStatus;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getTenantName() {
        return tenantName;
    }

    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    public String getTenantCheck() {
        return tenantCheck;
    }

    public void setTenantCheck(String tenantCheck) {
        this.tenantCheck = tenantCheck;
    }
}
